Retrieve a Project
curl --request GET \
--url https://api.lilt.com/v2/projects \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lilt.com/v2/projects"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lilt.com/v2/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lilt.com/v2/projects",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lilt.com/v2/projects"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.lilt.com/v2/projects")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lilt.com/v2/projects")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body[
{
"id": 448,
"memory_id": 1234,
"job_id": 1234,
"srclang": "en",
"trglang": "fr",
"srclocale": "US",
"trglocale": "FR",
"name": "My New Project",
"state": "backlog",
"due_date": 1489147692,
"archived": false,
"metadata": {
"connectorType": "github",
"notes": "example metadata"
},
"sample_review_percentage": 20,
"created_at": 1489147692,
"updated_at": 1489147692,
"workflowStatus": "READY_TO_START",
"document": [
{
"id": 46530,
"project_id": 287,
"srclang": "en",
"trglang": "de",
"name": "Introduction.xliff",
"import_in_progress": false,
"import_succeeded": false,
"import_error_message": "Could not parse XML.",
"export_in_progress": false,
"export_succeeded": false,
"export_error_message": "Could not parse XML.",
"is_pretranslating": false,
"status": {
"pretranslation": "idle"
},
"translator_email": "translator@example.com",
"reviewer_email": "reviewer@example.com",
"customer_reviewer_email": "reviewer@example.com",
"created_at": 1489147692,
"updated_at": 1489147692,
"is_review_complete": true
}
]
}
]"<string>"{
"message": "Internal server error."
}Projects
Retrieve a Project
Retrieves one or more projects, including the documents associated with each project. Retrieving a project is the most efficient way to retrieve a single project, multiple projects or a list of all available projects.
To retrieve a specific project, specify the id request parameter or you can retrieve multiple projects by adding comma (,) between ids eg. ?id=1234,5678. To retrieve all projects, omit the id request parameter. To limit the retrieved projects to those with a particular source language or target language, specify the corresponding ISO 639-1 language codes in the srclang and trglang request parameters, respectively.
GET
/
v2
/
projects
Retrieve a Project
curl --request GET \
--url https://api.lilt.com/v2/projects \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lilt.com/v2/projects"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lilt.com/v2/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lilt.com/v2/projects",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lilt.com/v2/projects"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.lilt.com/v2/projects")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lilt.com/v2/projects")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body[
{
"id": 448,
"memory_id": 1234,
"job_id": 1234,
"srclang": "en",
"trglang": "fr",
"srclocale": "US",
"trglocale": "FR",
"name": "My New Project",
"state": "backlog",
"due_date": 1489147692,
"archived": false,
"metadata": {
"connectorType": "github",
"notes": "example metadata"
},
"sample_review_percentage": 20,
"created_at": 1489147692,
"updated_at": 1489147692,
"workflowStatus": "READY_TO_START",
"document": [
{
"id": 46530,
"project_id": 287,
"srclang": "en",
"trglang": "de",
"name": "Introduction.xliff",
"import_in_progress": false,
"import_succeeded": false,
"import_error_message": "Could not parse XML.",
"export_in_progress": false,
"export_succeeded": false,
"export_error_message": "Could not parse XML.",
"is_pretranslating": false,
"status": {
"pretranslation": "idle"
},
"translator_email": "translator@example.com",
"reviewer_email": "reviewer@example.com",
"customer_reviewer_email": "reviewer@example.com",
"created_at": 1489147692,
"updated_at": 1489147692,
"is_review_complete": true
}
]
}
]"<string>"{
"message": "Internal server error."
}Authorizations
Query Parameters
Response
A list of Project objects.
Was this page helpful?

